Driver information
Public interface » ID macros

Driver information structures and union. More...

## Data Structures

struct | isdn_parm_s
| ISDN configuration parameter Notes on isdn_parm_t: More...
struct | driver_info_any_t
| unspecific info More...
struct | driver_info_display_t
| display (monitor) info More...
struct | driver_info_module_t
| module info More...
struct | driver_info_mouse_t
| mouse protocol info More...
struct | driver_info_x11_t
| X11 server info. More...
struct | driver_info_isdn_t
| isdn info More...
struct | driver_info_dsl_t
| dsl info More...
struct | driver_info_kbd_t
| keyboard info More...
union | driver_info_u

## Typedefs

typedef struct isdn_parm_s | isdn_parm_t
| ISDN configuration parameter Notes on isdn_parm_t:
typedef enum driver_info_type | hd_driver_info_t
| device driver info types
typedef union driver_info_u | driver_info_t

## Enumerations

enum | driver_info_type { di_any , di_display , di_module , di_mouse , di_x11 , di_isdn , di_kbd , di_dsl }
| device driver info types More...

## Detailed Description

Driver information structures and union.

## Typedef Documentation

## driver_info_t

typedef union driver_info_u driver_info_t

## hd_driver_info_t

typedef enum driver_info_type hd_driver_info_t

device driver info types

## isdn_parm_t

typedef struct isdn_parm_s isdn_parm_t

ISDN configuration parameter Notes on isdn_parm_t:

- def_value is only relevant of alt_values != 0
- def_value should be a value out of alt_value[]
- see libihw docu for the meaning of name,type,flags,def_value

## Enumeration Type Documentation

## driver_info_type

enum driver_info_type

device driver info types

Enumerator
di_any |
di_display |
di_module |
di_mouse |
di_x11 |
di_isdn |
di_kbd |
di_dsl |